footer{
    background-color: #101C32;
    padding: 80px 0;
}

footer div.container-footer{
    width: 80%;
    margin: auto;
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
}

footer div.container-footer ul{
    padding: 0;
    list-style: none;
    width: 22%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    margin: 0;
}

footer div.container-footer ul li{
    display: flex;
    align-items: center;
    margin: 10px 0;
}

footer div.container-footer ul li p{
    color: #a3abb8;
}

footer div.container-footer ul li a{
    color: #a3abb8;
    position: relative;
}

footer div.container-footer ul li a::after{
    content: "";
    position: absolute;
    left: 50%;
    bottom: 0;
    width: 0%;
    height: 1px;
    background-color: white;
    transition: 0.3s;
}

footer div.container-footer ul li a:hover::after{
    left: 0;
    width: 100%;
}

footer div.container-footer ul li a:hover{
    color: white;
}

footer div.container-footer ul li h3{
    font-size: 18px;
    color: white;
    margin: 0;
}

footer div.container-footer ul li i{
    font-size: 20px;
    color: #FF1F59;
    margin-right: 20px;
}

footer div.container-footer ul li div{
    display: flex;
    align-items: center;
}

footer div.container-footer ul.social{
    display: flex;
    flex-direction: column;
    align-self: flex-start;
    align-items: center;
}

footer div.container-footer ul.social li{
    margin-right: 70px;
}

footer div.container-footer ul.social li div.social-icon-footer{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    transform: rotate(-45deg);
    position: relative;
    animation: rotate 3s infinite alternate;
}

footer div.container-footer ul.social li div.social-icon-footer:hover{
    animation-play-state: paused;
}

@keyframes social{
    to{
        left: 0;
        width: 100%;
    }
}

@keyframes rotate{
    to{
        transform: rotate(0);
    }
}

@keyframes rotate-2{
    to{
        transform: rotate(0);
    }
}

footer div.container-footer ul.social li div.social-icon-footer i{
    font-size: 50px;
    margin: 10px 0;
    color: white;
    transition: 0.5s;
    cursor: pointer;
    transform: rotate(45deg);
    animation: rotate-2 3s infinite alternate;
    border-radius: 50%;
    animation-fill-mode: forwards;
    animation-play-state: inherit;
}

@keyframes icon-i{
    to{
        box-shadow: rgba(255, 255, 255, 0.25) 0px 30px 60px -12px inset, #ffffff 0px 18px 36px -18px inset;
    }
}

footer div.container-footer ul.social li div.social-icon-footer i:hover{
    color: #FF1F59;
    animation-play-state: paused;
}

@media screen and (max-width:1280px){
    footer div.container-footer{
        width: 97%;
    }
}